%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_pytho\n_lib()")}

Name:    stacaccli
Version: 0.2
Release: 1
Summary: Tools for Stateless Cached Client

Group:   Applications/System
License: GPL
URL:     http://fedoraproject.org/wiki/StatelessLinuxCachedClient
Source:  %{name}-%{version}.tar.bz2

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch: i386 x86_64 noarch

Requires: initscripts
Requires: python-urlgrabber
Requires: pyparted
Requires: libxml2-python
Requires: lvm2
Requires: e2fsprogs

# Until #194452 gets fixed
Requires: policycoreutils

Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/chkconfig
Requires(postun): /sbin/service
Requires(preun):  /sbin/service

%description
Stateless Linux is not a deployment model. It is not any single
technology. It's a new way of thinking about how a system is
supposed to run and be managed. 

The "Cached Client" mode of deploying stateless clients is
similar to using a network mounted root filesystem, except
that an entire copy of the OS image is cached locally thereby
allowing offline support and better performance.

stacaccli contains the tools needed for running a cached client.
stacaccli-install is responsible for installing such a client
by initializing the local cache of the OS image. stacacclid
is a daemon which downloads updates from the image server and
integrates them into the local image cache.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}d

%preun
if [ $1 = 0 ]; then
    /sbin/service %{name}d stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}d
fi

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service %{name}d condrestart >/dev/null 2>&1
fi

%files
%defattr(-, root, root, 755)
%doc AUTHORS ChangeLog NEWS README doc/TODO

%config(noreplace) %{_sysconfdir}/sysconfig/%{name}

%{_sysconfdir}/init.d/%{name}d
%{_sysconfdir}/rwtab.d/%{name}

%{_sbindir}/%{name}d
%{_sbindir}/%{name}-install

%dir %{python_sitelib}/%{name}/
%{python_sitelib}/%{name}/*.py*

%dir %{python_sitelib}/%{name}/common/
%{python_sitelib}/%{name}/common/*.py*

%dir %{python_sitelib}/%{name}/daemon/
%{python_sitelib}/%{name}/daemon/*.py*

%dir %{python_sitelib}/%{name}/install/
%{python_sitelib}/%{name}/install/*.py*

%changelog
* Tue Jul 12 2006 Mark McLoughlin <markmc@redhat.com> - 0.2-1
- Fix up some packaging issues

* Tue Jun 19 2006 Mark McLoughlin <markmc@redhat.com> - 0.1-1
- First release.
